Skip to main content
GET
Get an experiment by ID.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the experiment to retrieve.

Response

Experiment successfully retrieved.

id
string
required
Pattern: ^exp_[A-HJ-NP-Za-km-z1-9]+$
name
string
required
feature_flag_id
string
required
authentication_flow
string
required
allocation_strategy
enum<string>
required
Available options:
percentage,
segment
assignment_config
object
required
status
enum<string>
required

Filter by status. Exact match.

Available options:
draft,
active,
paused,
completed,
archived
is_valid
boolean
required
allocations
object[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string
started_at
string<date-time>
ended_at
string<date-time>